version: "3.7"
services:
  qubic01:
    container_name: qubic01
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.1
    restart: always
    volumes:
      - /root/qubic-docker01:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "0-47"

  qubic02:
    container_name: qubic02
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.2
    restart: always
    volumes:
      - /root/qubic-docker02:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "48-95"

  qubic03:
    container_name: qubic03
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.3
    restart: always
    volumes:
      - /root/qubic-docker03:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "96-143"

  qubic04:
    container_name: qubic04
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.4
    restart: always
    volumes:
      - /root/qubic-docker04:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "144-191"

  qubic05:
    container_name: qubic05
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.5
    restart: always
    volumes:
      - /root/qubic-docker05:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "192-239"

  qubic06:
    container_name: qubic06
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.6
    restart: always
    volumes:
      - /root/qubic-docker06:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "240-287"

  qubic07:
    container_name: qubic07
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.7
    restart: always
    volumes:
      - /root/qubic-docker07:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "288-335"

  qubic08:
    container_name: qubic08
    image: registry.cn-hangzhou.aliyuncs.com/dahaige/qubic:1.0
    networks:
      internal_network:
        ipv4_address: 172.30.0.8
    restart: always
    volumes:
      - /root/qubic-docker08:/qubic-docker
    command: bash /qubic-docker/run.sh
    cpuset: "336-383"

networks:
  internal_network:
    #enable_ipv6: true
    name: internal_network
    driver_opts:
      "com.docker.network.bridge.name": "br-proxy"
      #"com.docker.network.bridge.enable_ip_masquerade": "false"
    ipam:
      config:
        - subnet: 172.30.0.0/24
          gateway: 172.30.0.254
